## openssh 9.9p1

=== debian/changelog ===
openssh (1:9.9p1-3ubuntu3) plucky; urgency=medium

  * SECURITY UPDATE: MitM with VerifyHostKeyDNS option
    - debian/patches/CVE-2025-26465.patch: fix error code handling in
      krl.c, ssh-agent.c, ssh-sk-client.c, sshconnect2.c, sshsig.c.
    - CVE-2025-26465
  * SECURITY UPDATE: pre-authentication denial of service
    - debian/patches/CVE-2025-26466.patch: don't reply to PING in preauth
      or in KEX in packet.c.
    - CVE-2025-26466

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Feb 2025 08:50:06 -0500

openssh (1:9.9p1-3ubuntu2) plucky; urgency=medium

  * document /etc/ssh/sshd_config.d/*.conf better in sshd_config
    (LP: #2088207)
    - d/p/debian-config.patch: expand comment about configuration options
      and precedence of configuration snippets
    - d/openssh-server.ucf-md5sum: update for new sshd_config comments
    - d/p/sshd-socket-generator.patch: refresh for sshd_config comment
  * d/t/systemd-socket-activation: add wait while unit is reloading
    This avoids a race condition where we sometimes fail the assertion
    that ActiveState=active after systemctl reload.
    (LP: #2089049)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 19 Nov 2024 12:06:14 -0500

openssh (1:9.9p1-3ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085261). Remaining changes:
    - Make systemd socket activation the default:
      + debian/rules: modify dh_installsystemd invocations for
        socket-activated sshd
      + debian/README.Debian: document systemd socket activation.
      + debian/patches/systemd-socket-activation.patch: Fix sshd
        re-execution behavior when socket activation is used
      + debian/tests/systemd-socket-activation: Add autopkgtest for systemd socket
        activation functionality.
      + debian/control: Build-Depends: systemd-dev
      + d/p/sshd-socket-generator.patch: add generator for socket activation
      + debian/openssh-server.install: install sshd-socket-generator
      + debian/openssh-server.postinst: handle migration to sshd-socket-generator
      + d/t/sshd-socket-generator: add dep8 test for sshd-socket-generator
      + ssh.socket: adjust unit for socket activation by default
      + debian/rules: explicitly enable LTO
    - debian/.gitignore: drop file
    - debian/openssh-server.ucf-md5sum: update for Ubuntu delta
    - debian/patches: Immediately report interactive instructions to PAM clients
    - debian/patches: sshconnect2: Write kbd-interactive messages as utf-8
    - d/t/ssh-gssapi: disable -e in cleanup()
  * Dropped changes, included in Debian:
    - SECURITY UPDATE: timing attack against echo-off password entry
      + debian/patches/CVE-2024-39894.patch: don't rely on
        channel_did_enqueue in clientloop.c
      + CVE-2024-39894
  * New changes:
    - d/p/systemd-socket-activation.patch: refresh and adapt for sshd-session
    - d/openssh-server.links: add full sshd.service -> ssh.service alias
      (LP: #2087949)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 12 Nov 2024 16:28:26 -0500

openssh (1:9.9p1-3) unstable; urgency=medium

  * Fix mlkem768x25519-sha256 key exchange algorithm on big-endian
    architectures.
  * Drop patch to define MAXHOSTNAMELEN on GNU/Hurd (no longer needed).

 -- Colin Watson <cjwatson@debian.org>  Sun, 27 Oct 2024 13:58:04 +0000

openssh (1:9.9p1-2) unstable; urgency=medium

  * Don't prefer host-bound public key signatures if there was no initial
    host key, as is the case when using GSS-API key exchange (closes:
    #1041521).
  * Use runuser rather than sudo in autopkgtests where possible, avoiding a
    dependency.

 -- Colin Watson <cjwatson@debian.org>  Mon, 21 Oct 2024 18:24:07 +0100

openssh (1:9.9p1-1) unstable; urgency=medium

  * Alias the old Debian-specific SetupTimeOut client option to
    ConnectTimeout rather than to ServerAliveInterval.
  * New upstream release (https://www.openssh.com/releasenotes.html#9.9p1):
    - ssh(1): remove support for pre-authentication compression.
    - ssh(1), sshd(8): processing of the arguments to the "Match"
      configuration directive now follows more shell-like rules for quoted
      strings, including allowing nested quotes and \-escaped characters.
    - ssh(1), sshd(8): add support for a new hybrid post-quantum key
      exchange based on the FIPS 203 Module-Lattice Key Enapsulation
      mechanism (ML-KEM) combined with X25519 ECDH as described by
      https://datatracker.ietf.org/doc/html/draft-kampanakis-curdle-ssh-pq-ke-03
      This algorithm "mlkem768x25519-sha256" is available by default.
    - ssh(1): the ssh_config "Include" directive can now expand environment
      as well as the same set of %-tokens "Match Exec" supports.
    - sshd(8): add a sshd_config "RefuseConnection" option that, if set will
      terminate the connection at the first authentication request.
    - sshd(8): add a "refuseconnection" penalty class to sshd_config
      PerSourcePenalties that is applied when a connection is dropped by the
      new RefuseConnection keyword.
    - sshd(8): add a "Match invalid-user" predicate to sshd_config Match
      options that matches when the target username is not valid on the
      server.
    - ssh(1), sshd(8): update the Streamlined NTRUPrime code to a
      substantially faster implementation.
    - ssh(1), sshd(8): the hybrid Streamlined NTRUPrime/X25519 key exchange
      algorithm now has an IANA-assigned name in addition to the
      "@openssh.com" vendor extension name. This algorithm is now also
      available under this name "sntrup761x25519-sha512"
    - ssh(1), sshd(8), ssh-agent(1): prevent private keys from being
      included in core dump files for most of their lifespans. This is in
      addition to pre-existing controls in ssh-agent(1) and sshd(8) that
      prevented coredumps.
    - All: convert key handling to use the libcrypto EVP_PKEY API, with the
      exception of DSA.
    - sshd(8): add a random amount of jitter (up to 4 seconds) to the grace

