=== debian/tests/control ===
--- 
+++ 
@@ -34,7 +34,6 @@
  needs-root,
 Depends:
  openssh-server,
- sudo,
 
 Tests:
  xinetd,
@@ -44,5 +43,16 @@
  needs-root,
 Depends:
  openssh-server,
- sudo,
  xinetd,
+
+Tests: systemd-socket-activation
+Restrictions: needs-root allow-stderr
+Depends: openssh-client,
+         openssh-server,
+         systemd,
+
+Tests: sshd-socket-generator
+Restrictions: needs-root allow-stderr
+Depends: openssh-client,
+         openssh-server,
+         systemd,
