## openssh 9.9p2

=== debian/changelog ===
openssh (1:9.9p2-0deepin1) unstable; urgency=medium

  * Update to 9.9p2, fixes CVE-2025-26465, CVE-2025-26466
  * Refresh patches (mlkem768x25519-big-endian-{1,2}.patch)

 -- Tianyu Chen <sweetyfish@deepin.org>  Tue, 18 Feb 2025 18:13:26 +0800

openssh (1:9.9p1-3deepin2) unstable; urgency=medium

  [ liujianqiang ]
  * ssh.service is disabled by default.
  * update ChannelTimeout config to implement auto close inactive
    connections.

 -- Tianyu Chen <sweetyfish@deepin.org>  Wed, 15 Jan 2025 14:50:47 +0800

openssh (1:9.9p1-3deepin1) unstable; urgency=medium

  * Refresh and re-apply deepin patches:
    deepin-extra-version.patch
    deepin-ssh-connect-idle-timeout.patch
    deepin-ssh-keygen-privatekey-file-perm.patch
  * Update openssh-server.ucf-md5sum.

 -- Tianyu Chen <sweetyfish@deepin.org>  Wed, 15 Jan 2025 14:42:25 +0800
