=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: openssh
 Section: net
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>
+Maintainer: Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>
 Build-Depends:
  debhelper (>= 13.1~),
  debhelper-compat (= 13),
@@ -20,7 +19,7 @@
  libwrap0-dev | libwrap-dev,
  pkgconf,
  zlib1g-dev,
- systemd-dev,
+ lsb-release,
 Standards-Version: 4.6.2
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
