=== debian/rules ===
--- 
+++ 
@@ -194,6 +194,15 @@
 override_dh_installinit:
 	dh_installinit -R --name ssh
 
+override_dh_installsystemd:
+ifeq ($(shell lsb_release  -i -s),uos)
+	dh_installsystemd -popenssh-server --no-enable ssh.service
+else
+	dh_installsystemd -popenssh-server ssh.service
+endif
+	dh_installsystemd -popenssh-server --no-enable ssh.socket
+	dh_installsystemd -popenssh-server --no-start rescue-ssh.target
+
 debian/openssh-server.sshd.pam: debian/openssh-server.sshd.pam.in
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 	sed 's/^@IF_KEYINIT@//' $< > $@
