=== debian/tests/control ===
--- 
+++ 
@@ -44,15 +44,3 @@
 Depends:
  openssh-server,
  xinetd,
-
-Tests: systemd-socket-activation
-Restrictions: needs-root allow-stderr
-Depends: openssh-client,
-         openssh-server,
-         systemd,
-
-Tests: sshd-socket-generator
-Restrictions: needs-root allow-stderr
-Depends: openssh-client,
-         openssh-server,
-         systemd,
