=== debian/changelog ===
openssh (1:10.0p1-7progress8u1) horok; urgency=medium

  * Initial upload to horok.
  * Updating maintainer field.
  * Updating uploaders field.
  * Updating bugs field.
  * Updating vcs fields.
  * Enabling pam_access.so.
  * Disabling pam_motd.so.
  * Setting default RSA size in ssh-keygen to 4096.
  * Setting default ECDSA size in ssh-keygen to 521.
  * Removing small diffie-hellman moduli.
  * Updating options in ssh_config.
  * Including openssh-client configuration files for Progress Linux.
  * Setting CASignatureAlgorithms in ssh_config to ED25519.
  * Setting Ciphers in ssh_config to ChaCha20.
  * Setting HostbasedKeyTypes in ssh_config to ED25519.
  * Setting HostKeyAlgorithms in ssh_config to ED25519.
  * Setting KexAlgorithms in ssh_config to
    sntrup761x25519-sha512@openssh.com and Curve25519.
  * Setting MACs in ssh_config to UMAC and HMAC.
  * Setting PubkeyAcceptedKeyTypes in ssh_config to ED25519.
  * Setting IdentityFile in ssh_config to ED25519.
  * Setting openssh-server/permit-root-login to false.
  * Setting openssh-server/password-authentication to false.
  * Including openssh-server configuration files for Progress Linux.
  * Setting CASignatureAlgorithms in ssh_config to ED25519.
  * Setting Ciphers in sshd_config to ChaCha20.
  * Setting HostbasedAcceptedKeyTypes in sshd_config to ED25519.
  * Setting HostKeyAlgorithms in sshd_config to ED25519.
  * Setting KexAlgorithms in sshd_config to
    sntrup761x25519-sha512@openssh.com and Curve25519.
  * Setting MACs in sshd_config to UMAC and HMAC.
  * Setting PubkeyAcceptedKeyTypes in sshd_config to ED25519.
  * Setting HostCertificate in sshd_config to ED25519.
  * Setting HostKey in sshd_config to ED25519.
  * Setting AuthorizedKeysFile in sshd_config to
    /etc/ssh/authorized_keys/%u .ssh/authorized_keys.
  * Setting AllowAgentForwarding in sshd_config to no.
  * Setting DebianBanner in sshd_config to no.
  * Setting LoginGraceTime in sshd_config to 1m.
  * Setting MaxAuthTries in sshd_config to 3.
  * Adding patches from Colin Evrard <colin.evrard.134@gmail.com> for
    optional Multipath TCP support.
  * Refreshing mptcp patches.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Aug 2025 05:20:05 +0200

openssh (1:10.0p1-7) unstable; urgency=medium

  * Make postinst logic for cleaning up the sshd diversion more robust.

 -- Colin Watson <cjwatson@debian.org>  Fri, 01 Aug 2025 16:02:27 +0100

openssh (1:10.0p1-6) unstable; urgency=medium

  * Temporarily divert /usr/sbin/sshd during upgrades from before
    1:9.8p1-1~, to avoid new connections failing between unpack and
    configure (closes: #1109742).

 -- Colin Watson <cjwatson@debian.org>  Mon, 28 Jul 2025 12:17:42 +0100

openssh (1:10.0p1-5) unstable; urgency=medium

  * Ensure that configure knows the path to passwd; fixes reproducibility of
    openssh-tests.

 -- Colin Watson <cjwatson@debian.org>  Fri, 09 May 2025 13:40:49 +0100

openssh (1:10.0p1-4) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * Add Requires=ssh-agent.socket to ssh-agent.service (closes: #1103522).

 -- Colin Watson <cjwatson@debian.org>  Fri, 09 May 2025 10:16:45 +0100

openssh (1:10.0p1-3) unstable; urgency=medium

  * Disable --with-linux-memlock-onfault again, since it causes
    RLIMIT_MEMLOCK to be exceeded with some combinations of PAM modules
    (closes: #1103418).

 -- Colin Watson <cjwatson@debian.org>  Wed, 07 May 2025 16:18:43 +0100

openssh (1:10.0p1-2) unstable; urgency=medium

  [ Colin Watson ]
  * Disable --with-linux-memlock-onfault on riscv64.
  * Build with wtmpdb (see #1102643).
  * Stop writing /var/log/btmp, since nothing reads it any more (closes:
    #1072184).
  * Restore some rdomain references in sshd_config(5) where they're
    supported on Linux, referring to ip-vrf(8) (closes: #1095686).

  [ Daniel Kahn Gillmor ]
  * Improve systemd user service socket activation (closes: #961311,
    #1039919, #1103037).

  [ Luca Boccassi ]
  * Switch from adduser to sysusers.d.
  * Add sshd-keygen service.

 -- Colin Watson <cjwatson@debian.org>  Tue, 15 Apr 2025 14:19:35 +0100

openssh (1:10.0p1-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * Add COLORTERM NO_COLOR to SendEnv and AcceptEnv.

  [ Colin Watson ]
  * New upstream release:
    - This release removes support for the weak DSA signature algorithm.
    - scp(1), sftp(1): pass "ControlMaster no" to ssh when invoked by scp &
      sftp.
    - This release has the version number 10.0 and announces itself as
      "SSH-2.0-OpenSSH_10.0". Software that naively matches versions using
      patterns like "OpenSSH_1*" may be confused by this.
    - sshd(8): this release removes the code responsible for the user
      authentication phase of the protocol from the per-connection
      sshd-session binary to a new sshd-auth binary. Splitting this code
      into a separate binary ensures that the crucial pre-authentication
      attack surface has an entirely disjoint address space from the code
      used for the rest of the connection. It also yields a small runtime
      memory saving as the authentication code will be unloaded after the
      authentication phase completes. This change should be largely
      invisible to users, though some log messages may now come from
      "sshd-auth" instead of "sshd-session".
    - sshd(8): this release disables finite field (a.k.a modp)
      Diffie-Hellman key exchange in sshd by default. Specifically, this
      removes the "diffie-hellman-group*" and
      "diffie-hellman-group-exchange-*" methods from the default
      KEXAlgorithms list. The client is unchanged and continues to support
      these methods by default.
    - sshd(8): this release removes the implicit fallback to compiled-in
      groups for Diffie-Hellman Group Exchange KEX when the moduli file
      exists but does not contain moduli within the client-requested range.
      The fallback behaviour remains for the case where the moduli file does

