=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: openssh
 Section: net
 Priority: standard
-Maintainer: Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>
 Build-Depends:
  debhelper (>= 13.1~),
  debhelper-compat (= 13),
@@ -17,16 +16,22 @@
  libselinux1-dev [linux-any],
  libssl-dev (>= 1.1.1),
  libwrap0-dev | libwrap-dev,
+ libwtmpdb-dev,
  pkgconf,
  zlib1g-dev,
- lsb-release,
 Standards-Version: 4.6.2
-Uploaders:
+Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
+XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
+XSBC-Original-Maintainer: Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>
+XSBC-Original-Uploaders:
  Colin Watson <cjwatson@debian.org>,
  Matthew Vernon <matthew@debian.org>,
+Bugs: mailto:maintainers@lists.progress-linux.org
 Homepage: https://www.openssh.com/
-Vcs-Git: https://salsa.debian.org/ssh-team/openssh.git
-Vcs-Browser: https://salsa.debian.org/ssh-team/openssh
+Vcs-Browser: https://git.progress-linux.org/horok/openssh
+Vcs-Git: https://git.progress-linux.org/horok/openssh
+XSBC-Original-Vcs-Browser: https://salsa.debian.org/ssh-team/openssh
+XSBC-Original-Vcs-Git: https://salsa.debian.org/ssh-team/openssh.git
 Rules-Requires-Root: no
 X-Style: black
 
@@ -34,6 +39,7 @@
 Architecture: any
 Depends:
  adduser,
+ init-system-helpers (>= 1.66~),
  passwd,
  ${misc:Depends},
  ${shlibs:Depends},
@@ -111,7 +117,6 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- adduser,
  libpam-modules,
  libpam-runtime,
  lsb-base,
