=== debian/rules ===
--- 
+++ 
@@ -74,6 +74,10 @@
 confflags += ossh_cv_cflag__fzero_call_used_regs_used=no
 endif
 
+# passwd isn't otherwise needed and may not be installed at build time.
+# Ensure that sshd knows its path.
+confflags += PATH_PASSWD_PROG=/usr/bin/passwd
+
 # Everything above here is common to the deb and udeb builds.
 confflags_udeb := $(confflags)
 
@@ -83,6 +87,7 @@
 confflags += --with-libedit
 confflags += --with-kerberos5=/usr
 confflags += --with-ssl-engine
+confflags += --with-wtmpdb
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 confflags += --with-selinux
 confflags += --with-audit=linux
@@ -127,6 +132,13 @@
 	cd debian/build-udeb && ./config.status
 endif
 
+	# Nothing reads /var/log/btmp any more (see
+	# https://bugs.debian.org/1072184).
+	perl -pi -e 's,.*#define USE_BTMP .*,/* #undef USE_BTMP */,' debian/build-deb/config.h
+ifeq ($(filter noudeb,$(DEB_BUILD_PROFILES)),)
+	perl -pi -e 's,.*#define USE_BTMP .*,/* #undef USE_BTMP */,' debian/build-udeb/config.h
+endif
+
 override_dh_auto_configure-indep:
 
 override_dh_auto_build-arch:
@@ -134,7 +146,7 @@
 	$(MAKE) -C debian/build-deb regress-prep
 	$(MAKE) -C debian/build-deb $(PARALLEL) regress-binaries regress-unit-binaries
 ifeq ($(filter noudeb,$(DEB_BUILD_PROFILES)),)
-	$(MAKE) -C debian/build-udeb $(PARALLEL) ASKPASS_PROGRAM='/usr/bin/ssh-askpass' ssh scp sftp sshd ssh-keygen sshd-session
+	$(MAKE) -C debian/build-udeb $(PARALLEL) ASKPASS_PROGRAM='/usr/bin/ssh-askpass' ssh scp sftp sshd ssh-keygen sshd-auth sshd-session
 endif
 
 ifeq ($(filter pkg.openssh.nognome,$(DEB_BUILD_PROFILES)),)
@@ -172,15 +184,15 @@
 		debian/tmp/etc/ssh/ssh_config \
 		debian/tmp/etc/ssh/sshd_config
 
+	# Remove small Diffie-Hellman moduli
+	awk '$$5 >= 4095' debian/tmp/etc/ssh/moduli > debian/tmp/etc/ssh/moduli.tmp
+	mv -f debian/tmp/etc/ssh/moduli.tmp debian/tmp/etc/ssh/moduli
+
 	dh_install -Nopenssh-client-udeb -Nopenssh-server-udeb
 ifeq ($(filter noudeb,$(DEB_BUILD_PROFILES)),)
 	dh_install -popenssh-client-udeb -popenssh-server-udeb \
 		--sourcedir=debian/build-udeb
 endif
-
-	# This can't be done using dh_link, because it's needed earlier by
-	# dh_installalternatives.
-	ln -sf ssh debian/openssh-client/usr/bin/slogin
 
 	rm -f debian/openssh-tests/usr/lib/openssh/regress/misc/sk-dummy/*.lo
 
@@ -194,14 +206,15 @@
 override_dh_installinit:
 	dh_installinit -R --name ssh
 
+# Can be dropped in compat level 14
+execute_after_dh_installinit:
+	dh_installsysusers
+
 override_dh_installsystemd:
-ifeq ($(shell lsb_release  -i -s),uos)
-	dh_installsystemd -popenssh-server --no-enable ssh.service
-else
 	dh_installsystemd -popenssh-server ssh.service
-endif
 	dh_installsystemd -popenssh-server --no-enable ssh.socket
 	dh_installsystemd -popenssh-server --no-start rescue-ssh.target
+	dh_installsystemd -popenssh-server sshd-keygen.service
 
 debian/openssh-server.sshd.pam: debian/openssh-server.sshd.pam.in
 ifeq ($(DEB_HOST_ARCH_OS),linux)
